/*
  VisualHash - A Visual Hash Calculator
  Copyright (C) 2005 Dominik Reichl <oss@dominik-reichl.de>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

using System;
using System.Drawing;
using System.Windows.Forms;

namespace VisualHash
{
	public class AboutDlg : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label lblTrademarkInfo;
		private System.Windows.Forms.Label lblLicenseInfo;
		private System.Windows.Forms.LinkLabel linkHelpFile;
		private System.Windows.Forms.Label lblCopy;
		private System.Windows.Forms.Label lblAppName;
		private System.Windows.Forms.LinkLabel linkAcknowledgements;
		private System.Windows.Forms.Label lblVersion;
		private System.Windows.Forms.LinkLabel linkDonate;
		private System.Windows.Forms.PictureBox picMainAppIcon;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.LinkLabel linkHomepage;

		public AboutDlg()
		{
			InitializeComponent();
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(AboutDlg));
			this.linkHomepage = new System.Windows.Forms.LinkLabel();
			this.btnOK = new System.Windows.Forms.Button();
			this.picMainAppIcon = new System.Windows.Forms.PictureBox();
			this.linkDonate = new System.Windows.Forms.LinkLabel();
			this.lblVersion = new System.Windows.Forms.Label();
			this.linkAcknowledgements = new System.Windows.Forms.LinkLabel();
			this.lblAppName = new System.Windows.Forms.Label();
			this.lblCopy = new System.Windows.Forms.Label();
			this.linkHelpFile = new System.Windows.Forms.LinkLabel();
			this.lblLicenseInfo = new System.Windows.Forms.Label();
			this.lblTrademarkInfo = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// linkHomepage
			// 
			this.linkHomepage.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkHomepage.LinkColor = System.Drawing.Color.Blue;
			this.linkHomepage.Location = new System.Drawing.Point(48, 64);
			this.linkHomepage.Name = "linkHomepage";
			this.linkHomepage.Size = new System.Drawing.Size(256, 13);
			this.linkHomepage.TabIndex = 4;
			this.linkHomepage.TabStop = true;
			this.linkHomepage.Text = "http://www.dominik-reichl.de/";
			this.linkHomepage.VisitedLinkColor = System.Drawing.Color.Blue;
			this.linkHomepage.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnLinkHomepage);
			// 
			// btnOK
			// 
			this.btnOK.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnOK.Location = new System.Drawing.Point(256, 232);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(80, 24);
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "&OK";
			this.btnOK.Click += new System.EventHandler(this.OnBtnOK);
			// 
			// picMainAppIcon
			// 
			this.picMainAppIcon.Image = ((System.Drawing.Image)(resources.GetObject("picMainAppIcon.Image")));
			this.picMainAppIcon.Location = new System.Drawing.Point(8, 6);
			this.picMainAppIcon.Name = "picMainAppIcon";
			this.picMainAppIcon.Size = new System.Drawing.Size(32, 28);
			this.picMainAppIcon.TabIndex = 1;
			this.picMainAppIcon.TabStop = false;
			// 
			// linkDonate
			// 
			this.linkDonate.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkDonate.Location = new System.Drawing.Point(48, 168);
			this.linkDonate.Name = "linkDonate";
			this.linkDonate.Size = new System.Drawing.Size(100, 16);
			this.linkDonate.TabIndex = 10;
			this.linkDonate.TabStop = true;
			this.linkDonate.Text = "Donate";
			this.linkDonate.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnLinkDonate);
			// 
			// lblVersion
			// 
			this.lblVersion.Location = new System.Drawing.Point(48, 24);
			this.lblVersion.Name = "lblVersion";
			this.lblVersion.Size = new System.Drawing.Size(256, 14);
			this.lblVersion.TabIndex = 7;
			this.lblVersion.Text = "Version 1.2";
			// 
			// linkAcknowledgements
			// 
			this.linkAcknowledgements.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkAcknowledgements.Location = new System.Drawing.Point(48, 152);
			this.linkAcknowledgements.Name = "linkAcknowledgements";
			this.linkAcknowledgements.Size = new System.Drawing.Size(184, 13);
			this.linkAcknowledgements.TabIndex = 6;
			this.linkAcknowledgements.TabStop = true;
			this.linkAcknowledgements.Text = "Acknowledgements";
			this.linkAcknowledgements.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnLinkAcknowledgements);
			// 
			// lblAppName
			// 
			this.lblAppName.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblAppName.Location = new System.Drawing.Point(48, 8);
			this.lblAppName.Name = "lblAppName";
			this.lblAppName.Size = new System.Drawing.Size(256, 13);
			this.lblAppName.TabIndex = 2;
			this.lblAppName.Text = "VisualHash - Visual Hash Calculator";
			// 
			// lblCopy
			// 
			this.lblCopy.Location = new System.Drawing.Point(48, 48);
			this.lblCopy.Name = "lblCopy";
			this.lblCopy.Size = new System.Drawing.Size(256, 16);
			this.lblCopy.TabIndex = 3;
			this.lblCopy.Text = "Copyright  2005-2010 Dominik Reichl";
			// 
			// linkHelpFile
			// 
			this.linkHelpFile.LinkBehavior = System.Windows.Forms.LinkBehavior.HoverUnderline;
			this.linkHelpFile.Location = new System.Drawing.Point(48, 136);
			this.linkHelpFile.Name = "linkHelpFile";
			this.linkHelpFile.Size = new System.Drawing.Size(176, 13);
			this.linkHelpFile.TabIndex = 5;
			this.linkHelpFile.TabStop = true;
			this.linkHelpFile.Text = "Open Help File";
			this.linkHelpFile.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.OnLinkHelpFile);
			// 
			// lblLicenseInfo
			// 
			this.lblLicenseInfo.Location = new System.Drawing.Point(48, 88);
			this.lblLicenseInfo.Name = "lblLicenseInfo";
			this.lblLicenseInfo.Size = new System.Drawing.Size(272, 38);
			this.lblLicenseInfo.TabIndex = 9;
			this.lblLicenseInfo.Text = "This program is distributed under the terms of the GNU General Public License v2 " +
"by the Free Software Foundation.";
			// 
			// lblTrademarkInfo
			// 
			this.lblTrademarkInfo.Location = new System.Drawing.Point(48, 192);
			this.lblTrademarkInfo.Name = "lblTrademarkInfo";
			this.lblTrademarkInfo.Size = new System.Drawing.Size(288, 28);
			this.lblTrademarkInfo.TabIndex = 8;
			this.lblTrademarkInfo.Text = "Brand, product and algorithm names may be trademarks or registered trademarks of " +
"their respective holders.";
			// 
			// AboutDlg
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(346, 264);
			this.Controls.Add(this.linkDonate);
			this.Controls.Add(this.lblLicenseInfo);
			this.Controls.Add(this.lblTrademarkInfo);
			this.Controls.Add(this.lblVersion);
			this.Controls.Add(this.linkAcknowledgements);
			this.Controls.Add(this.linkHelpFile);
			this.Controls.Add(this.linkHomepage);
			this.Controls.Add(this.lblCopy);
			this.Controls.Add(this.lblAppName);
			this.Controls.Add(this.picMainAppIcon);
			this.Controls.Add(this.btnOK);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "AboutDlg";
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
			this.Text = "About VisualHash...";
			this.ResumeLayout(false);
		}
		#endregion

		void OnBtnOK(object sender, System.EventArgs e)
		{
			this.Close();
		}

		void OnLinkHomepage(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start(linkHomepage.Text);
		}
		
		void OnLinkHelpFile(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			WinUtil.OpenAppHelp("VisualHash.chm", "index.html");
		}
		
		void OnLinkAcknowledgements(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			WinUtil.OpenAppHelp("VisualHash.chm", "thanks.html");
		}

		void OnLinkDonate(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start("http://www.dominik-reichl.de/donate.shtml");
		}
	}
}
